package com.td.Dawa.game.comcharacters.service;

import com.td.Dawa.common.service.*;
import com.td.Dawa.game.comcharacters.pojo.ComCharacters;
import com.td.Dawa.game.comcharacters.vo.ComCharactersClientVo;
import com.td.Dawa.game.comcharacters.vo.ComCharactersRandomVo;
import com.td.Dawa.game.comcharacters.vo.ComCharactersVo;
import com.td.Dawa.game.excelcharacterattri.pojo.ExcelCharacterAttri;
import com.td.Dawa.game.excelcharacterattri.vo.ExcelCharacterAttriVo;

import java.util.List;

public interface ComCharactersService extends CommonService<ComCharactersVo, ComCharacters, Integer> {

    public List<ComCharactersRandomVo> randomRoleByNumber(Integer number);

    public List<ComCharactersClientVo> findByProfessionalSort(String userId,Integer attribute);

    public ComCharactersClientVo addRole(ExcelCharacterAttriVo _attr, String userId);

    public ComCharacters findByRoleId(Integer roleId);

    public List<ComCharacters> findByRoleIdIn(Integer[] ids);

    public ComCharactersClientVo addSubResourcesClientListToVO(ComCharactersClientVo comCharactersClientVo ,String _modelIdStr,String _modelColorStr);
}
